SQL Development for Mac

Daily/Prog 2021. 6. 29. 00:27

 

Mac 에서 SQL Development 를 설치하는 방법은 간단하다. Oracle 사이트에서 SQL Development for Mac with JDK 8 을 다운받아 설치하면 끝이다. 하지만 나는 jdk1.8.0_65 가 깔려있었으므로 JDK 를 제외한 파일을 다운받았다. 다운받은 SQLDeveloper.app 파일을 실행했는데 jdk 버전이 낮다며 상위 버전을 요구했다. 최신버전인 jdk1.8.0_291 을 설치했다. 다시 SQLDeveloper.app 파일을 실행했는데 실행 즉시 셧다운 되는 현상이 나타났다. 아오...

java 버전도 jdk1.8.0_291 로 바뀐 것을 확인했는데, 뭔가 꼬인듯 했다. 장시간의 검색 끝에 JavaAppletPlugin 이란 것이 환경변수 설정을 방해한다는 것을 알게 됐고, 뿌리를 뽑아버렸다.

$ sudo rm -rf /Library/Internet Plug-Ins/JavaAppletPlugin.plugin

안타깝게도 빡쳐있던 나는 그 안에 내용물을 확인하지 않았지만 아마도 JRE 구버전이 설치를 방해하고 있었던 것이 아닌가 하는 어설픈 추측을 해본다. 참고로 저 명령어는 Mac 에서 JRE 나 JDK 삭제시 가장먼저 날리는 명령어이다.


WRITTEN BY
손가락귀신
정신 못차리면, 벌 받는다.

트랙백  0 , 댓글  0개가 달렸습니다.
secret